Subject: Re: linux-next: Tree for Oct 15

From: Thierry Reding <[email-masked]>
Date: Wed, 16 Oct 2013 18:43:32 +0200

On Wed, Oct 16, 2013 at 09:37:50AM -0700, Guenter Roeck wrote:
> On Wed, Oct 16, 2013 at 05:50:56PM +0200, Thierry Reding wrote:
> > On Tue, Oct 15, 2013 at 10:21:27PM -0700, Guenter Roeck wrote:
> > > On 10/15/2013 07:02 AM, Thierry Reding wrote:
> > > >Hi all,
> > > >
> > > >I've uploaded today's linux-next tree to the master branch of the
> > > >repository below:
> > > >
> > > >         git://gitorious.org/thierryreding/linux-next.git
> > > >
> > > >A next-20131015 tag is also provided for convenience.
> > > >
> > > >Gained a new conflict, but nothing too exciting. x86 and ARM default
> > > >configurations build fine. I've also used an x86 allmodconfig build to
> > > >check for build errors. Mark fixed most of those in the trees that he
> > > >created last Thursday and Friday, so I've cherry-picked them on top of
> > > >the final merge. There was one new build failure in the staging tree
> > > >that was trivial to fix so I added a patch to the tree as well.
> > > >
> > > 
> > > This build does look much better than the previous ones. I 'only' get 12 build failures
> > > out of 106 configurations.
> > 
> > Thanks for running these!
> > 
> No problem - servers are up anyway. Only problem is that buildbot and gitorious
> don't seem to get along, and the automatic tree update doesn't work. This means
> I have to trigger tree updates manually, which I may forget once in a while.

I do have a kernel.org account now, but I'd like to avoid switching the
repository again. People are finally beginning to realize that there's a
temporary location for linux-next on gitorious.

> > > Worst are powerpc builds, with 7 out of 14 builds failed.
> > 
> > Yes, I'm seeing those too. I used to carry a fix for many of these in
> > earlier linux-next trees but since I haven't had the time to run the
> > PowerPC builds in a while I haven't cherry-picked it to new trees.
> > 
> Are those failures due to merge conflicts, or should the fix be applied
> to a contributing repository ?

I think they are cause by some changes being done to the OF headers and
I mailed that patch to Rob Herring at some point, but I'm not sure what
came of it. There were a few others too, but I think most of the patches
I sent for them have been merged.

Thierry